You are not logged in.

#1 2017-04-20 18:42:37

ultra2mh
Member
Registered: 2017-04-20
Posts: 25

[SOLVED]problem when installing mpc-qt-git

hello guys i installed mpv and now im trying install a frontend gtk for it . i tryied to install mpc-qt-git (Media Player Classic Qute Theater) by AUR but i get following error in installation

/usr/bin/ld: warning: libbluray.so.2, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/../../../../lib/libmpv.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libass.so.9, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/../../../../lib/libmpv.so, not found (try using -rpath or -rpath-link)
/usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/../../../../lib/libmpv.so: undefined reference to `vaSetErrorCallback'
/usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/../../../../lib/libmpv.so: undefined reference to `vaSetInfoCallback'
/usr/lib/gcc/x86_64-pc-linux-gnu/6.2.1/../../../../lib/libmpv.so: undefined reference to `av_buffersink_get_hw_frames_ctx@LIBAVFILTER_6'
collect2: error: ld returned 1 exit status
make: *** [Makefile:287: mpc-qt] Error 1
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build mpc-qt-git.
==> Restart building mpc-qt-git ? [y/N]

how can i fix this problem ?
gnome desktop -arch 64bit

Last edited by ultra2mh (2017-04-23 11:43:35)

Offline

#2 2017-04-20 18:48:18

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,390

Re: [SOLVED]problem when installing mpc-qt-git

Update your system

Offline

#3 2017-04-20 19:43:06

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 6,889
Website

Re: [SOLVED]problem when installing mpc-qt-git

Mod note: Moving to AUR issues.


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Offline

#4 2017-04-21 12:29:11

ultra2mh
Member
Registered: 2017-04-20
Posts: 25

Re: [SOLVED]problem when installing mpc-qt-git

hello when i trying play video with mpc-qt(media player classic qute theater) the program will crash after opening ... my system is fully update .... you can see terminal errors below . how can i fix this ?





mpc-qt

(mpc-qt:7871): Gtk-WARNING **: Invalid input string

(mpc-qt:7871): Gtk-WARNING **: Invalid input string
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
zsh: segmentation fault (core dumped)  mpc-qt

Offline

#5 2017-04-21 12:37:42

ultra2mh
Member
Registered: 2017-04-20
Posts: 25

Re: [SOLVED]problem when installing mpc-qt-git

installation problem sovled but i get new problem i can run mpc but when i open a video it crash with this errors


(mpc-qt:7871): Gtk-WARNING **: Invalid input string

(mpc-qt:7871): Gtk-WARNING **: Invalid input string
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
zsh: segmentation fault (core dumped)  mpc-qt

Offline

#6 2017-04-21 13:12:58

seth
Member
Registered: 2012-09-03
Posts: 2,579

Re: [SOLVED]problem when installing mpc-qt-git

https://wiki.archlinux.org/index.php/Co … they_go.3F

Also that tool is merely a wrapper around mpv and not an official package - a common cause for AUR segfaults are partial updates (ie. you updated the system but not the AUR package)
Maybe consider using smplayer (or just mpv)

Offline

#7 2017-04-21 13:29:52

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 6,889
Website

Re: [SOLVED]problem when installing mpc-qt-git

Please do not crosspost.

https://wiki.archlinux.org/index.php/Co … ss-posting

Mod note: merging with your existing thread.


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Offline

#8 2017-04-21 16:13:57

ultra2mh
Member
Registered: 2017-04-20
Posts: 25

Re: [SOLVED]problem when installing mpc-qt-git

i installed and used current package on other base arch distro whithout any problem ... hmm

Offline

#9 2017-04-21 18:47:49

metak
Member
Registered: 2009-09-27
Posts: 178

Re: [SOLVED]problem when installing mpc-qt-git

Hi ultra2mh. Maintainer of 'mpc-qt-git' here. I reported this issue to the developer https://github.com/cmdrkotori/mpc-qt/is … -296270535 .

Workaround is not to use the latest commit. I'll bump the aur package for this, can you try it?

Also, as you're using gtk desktop & apps wouldn't gnome-mpv be a better choice?

EDIT: fixed upstream.. https://github.com/cmdrkotori/mpc-qt/co … 9d6e1ea8bb

Last edited by metak (2017-04-22 02:30:26)

Offline

#10 2017-04-22 05:50:21

ultra2mh
Member
Registered: 2017-04-20
Posts: 25

Re: [SOLVED]problem when installing mpc-qt-git

problem solved :

1===the first that i had some error in installation solved by full system upgrade
2===second problem that was crashing solved by edit pacman.conf file that located in /etc/pacman.conf .. i comment out any unofficial   package repo ..its better you comment testing repo.
now if we search mpc-qt-git again we see diffrent version (lower version -stable one) let it install by choosing its number after all you have stable mpc player that work fine

thanks all .

Offline

#11 2017-04-22 13:11:55

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 6,889
Website

Re: [SOLVED]problem when installing mpc-qt-git

Please remember to mark your thread as solved by editing the first post and amending the topic title.

Also, if you were previously using testing be sure to revert to stable packages.

https://wiki.archlinux.org/index.php/Of … positories


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Offline

Board footer

Powered by FluxBB